Collections

Add new items to a Collection

POST
/v2/collections/items
x-api-key<token>

Authenticate using API Key in request header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.bem.ai/v2/collections/items" \  -H "Content-Type: application/json" \  -d '{    "collectionName": "product_catalog",    "items": [      {        "data": {          "sku": "SKU-11111",          "name": "Deluxe Component",          "category": "Hardware",          "price": 299.99        }      },      {        "data": {          "sku": "SKU-22222",          "name": "Standard Part",          "category": "Tools",          "price": 49.99        }      }    ]  }'
{
  "status": "pending",
  "message": "Collection items are being processed asynchronously",
  "eventID": "evt_2N6gH8ZKCmvb6BnFcGqhKJ98VzP"
}
Empty
Empty
Empty